Subject: Re: [Pce] PCE - New Charter Proposal

From: Huaimo Chen <[email-masked]>
Date: Fri, 01 Apr 2011 20:25:25 +0000

Hi Everyone,

Should we consider PCE being able to compute inter-domain paths for the domains in a continent or at least country in a few years?
If we should, it seems that the number of domains is from hundreds to thousands.

The inter-domain path computation problems may be divided into two classes. One class is NP hard, and the other is not NP hard. For NP hard problems, there are some heuristic algorithms, which may be used to find the path more efficiently. Should we consider adopting a couple of heuristic algorithms in PCE?

Best Regards,
Huaimo
________________________________
From: [email-masked] [mailto:[email-masked]] On Behalf Of JP Vasseur
Sent: Tuesday, March 15, 2011 3:39 AM
To: [email-masked]
Cc: Adrian Farrel
Subject: [Pce] PCE - New Charter Proposal

Dear WG,

Julien and I have discussed a proposal for PCE rechartering. Would you mind commenting before our WG meeting in Prague ? Thanks.

Description of Working Group:

The PCE Working Group is chartered to specify the required protocols so as
to enable a Path Computation Element  (PCE)-based architecture for the
computation of paths for MPLS and GMPLS  Point to Point and Point to Multi-
point Traffic Engineered LSPs.

In this architecture path computation does not necessarily occur on the
head-end (ingress) LSR, but on some other path computation entity that may
physically not be located on each head-end LSR.

The PCE WG works on application of this model within a single domain
or within a group of domains (where a domain is a layer, IGP area or
Autonomous System with limited visibility from the head-end LSR). At
this time, applying this model to large groups of domains such as the
Internet is not thought to be possible, and the PCE WG will not spend
energy on that topic.

The WG specifies the PCE communication Protocol (PCEP) and
needed extensions for communication between LSRs (termed Path
Computation Clients - PCCs) and PCEs, and between cooperating PCEs.
Security mechanisms such as authentication and confidentiality are
included.

The WG determines requirements for extensions to existing routing
and signaling protocols in support of PCE architecture and signaling of
inter-domain paths (e.g. RSVP-TE and its GMPLS variations). Any necessary
extensions will be produced in collaboration with the Working Groups
responsible for the protocols.

The WG also works on the mechanisms to for multi-layer path computation
and PCEP extensions for communication between several network layers.

The WG defines the required PCEP extensions for Wavelength Switched
Optical Networks (WSON) while keeping consistency with the GMPLS
architecture specified in the CCAMP WG.

Work Items:

- PCEP extensions for MPLS and GMPLS Traffic Engineered LSP path
computation models involving PCE(s). This includes the case of computing
the paths of intra and inter-domain TE LSPs. Such path computation includes
the generation of primary, protection and recovery paths, as well as
computations for (local/global) reoptimization and load balancing. Both
intra- and inter-domain applications are covered.
- In cooperation with protocol specific Working Group (e.g. MPLS, CCAMP),
development of LSP signaling (RSVP-TE) extensions required to support PCE-
based path computation models.
- Specification of PCEP extensions for communication in the various GMPLS-
controlled networks, including WSON.
- Definition of PCEP extensions for path computation in multi-layer
networks.

* To be discussed with the WG:
*1* Specification of PCEP extensions for VPN-specific uses.

Goals and Milestones:

June 2011    Submit WSON requirements to the IESG to be considered as an Informational RFC
June 2011    Submit vendor constraints in PCEP to the IESG to be considered as a Proposed Standard
Sept 2011    Submit extensions for hierarchical PCE path computation model as WG document
Oct 2011    Submit PCEP extensions for WSON as WG I-D
Oct 2011    Submit the PCEP MIB to the IESG to be considered as a Proposed Standard
Nov 2011    Submit the discovery MIB to the IESG to be considered as a Proposed Standard
Nov 2011    Submit inter-layer extensions to the IESG to be considered as a Proposed Standard
Dec 2011    Submit inter-area/AS applicability statement to the IESG as an informational RFC
*1*Nov 2011    Submit VPN extensions as WG document
Jan 2012    Submit the GMPLS requirements to the IESG to be considered as an Informational RFC
Mar 2012    Submit PCEP extensions for GMPLS to the IESG to be considered as a Proposed Standard
May 2012    Submit PCEP extensions for WSON to the IESG to be considered as a Proposed Standard
Jul 2012    Submit P2MP MIB to the IESG to be considered as a Proposed Standard
Oct 2012    Submit VPN extensions to the IESG to be considered as a Proposed Standard
Jan 2013    Submit extensions for hierarchical model to the IESG to be considered as a Proposed Standard
Feb 2013    Evaluate WG progress, recharter or close

---

From: Ramon Casellas <[email-masked]>
Date: Sat, 2 Apr 2011 02:02:43 +0200

----------------original message----------------- 
De: "Huaimo Chen" [email-masked] 
Data: Fri, 01 Apr 2011 20:25:25 +0000 

>
>
>
>Should we consider PCE being able to compute inter-domain paths for the domains in a 
>continent or at least country in a few years?
>
>The inter-domain path computation problems may be divided into two classes. One class 
>is NP hard, and the other is not NP hard. For NP hard problems, there are some heuristic 
>algorithms, which may be used to find the path more efficiently. Should we consider adopting a 
>couple of heuristic algorithms in PCE?
>
> 
>
>Hello Huaimo, all
>
>Thanks for sharing your thoughts, just my (subjective) views.
>
>For your first point, I believe that the scope and applicability of the PCE should be in 
>line with the applicability of (G)MPLS inter-domain traffic engineering, including the 
>associated requirements (such as RFC4216, RFC4726, or 4105), which I don't think they are defined 
>for / they apply to such a large number of domains. For PCE specifics, allow me to mention the 
>current charter which actually states that the model does not apply to a large group of domains 
>(it is even thought to be impossible) and actually seems to forbid it -- maybe Adrian or JP 
>could comment on that? --. That said, I don't know "how big is big", but if such large-sized 
>networks and domain meshes with peering relationships could be foreseen for the next years, the 
>GMPLS applicability / scalability should be reviewed first :-)
>
>For your second point (which, to some extent, also applies to algorithms within a 
>single domain) I don't think the WG should actually standardize algorithms or dictate 
>algorithm implementations, and rather focus on functional and protocol architectures and 
>interfaces. Personally, I think that standardizing algorithm (OF codes) inputs and expected 
>results, as done in RFC5541 with OF codes 1,2,3 etc. is somehow "borderline", but in any case it 
>does not mention wether it should be based on Dijkstra, Shortest-Widest, ILP or other 
>algorithms. I am open to discussion and stand corrected though.
>
>My view is that the actual algorithm implementations and the application of 
>heuristics / actual algorithms (multi-commodity flow for GCO, ILPs, multi-criteria path 
>computation) could remain a place for a vendor to provide added-value. It should be also a policy of 
>the operator / vendor to decide a trade-off and yield e.g. sub-optimal results for the sake 
>of latency or whether to apply a brute-force search (just mentioning random examples).
>
>Finally, such heuristics should be defined for general applicability, and it may be 
>difficult to define them if they need to apply for a request that includes object like IROs, load 
>balancing or bandwidth / metric constraints, etc.
>
>
>Best regards
>Ramon
>
--